/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  margin-top: 20px;
  border-bottom: 1px solid #e8b923;
    padding-bottom: 20px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
  text-transform: lowercase;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed
  .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu)
  .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir="rtl"] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}

.user-status-box {
  position: absolute;
  right: 2px;
  top: 0px;
  width: fit-content;
}

.card_checkbox_margin {
  margin-left: 10px;
  margin-top: 10px;
}

.checkbox_border_class {
  border: solid 1px;
  border-color: #5f7287;
}

.user-list-box .checkbox {
  position: absolute;
  left: 2px;
  top: 2px;
  width: fit-content;
}
.user-list-box .checkbox input {
  margin: 0;
  border-radius: 6px;
  box-shadow: 0px 4px 4px -2px rgb(0 0 0 / 50%);
}

.user-list-box .checkbox .form-check-input:checked {
  box-shadow: none;
}

.user-list-box .image-box {
  height: 200px;
}

.user-list-box .image-box .card-img-top {
  height: 100%;
  width: 100%;
  margin-top: 5px;
  object-fit: contain;
}
.user-list-box .card-title {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 5px;
}
.user-list-box .bottom-btn {
  display: flex;
  justify-content: center;
  gap: 5px;
  flex-wrap: wrap;
}

.right-side-top {
  gap: 5px 10px;
}

.card_inactive {
  background-color: #fad7d7;
}
.count-box {
  font-size: 16px;
  color: #696cff;
}
.menu .app-brand.demo {
  justify-content: center !important;
}
.app-brand-logo h2 {
  color: #696cff;
  font-weight: 600;
}
.align-end-width {
  width: 100px;
  text-align: start;
}

.hidden {
  display: none;
}
.pagination {
  justify-content: center;
  gap: 10px;
}
.bx {
  vertical-align: middle;
  font-size: 1.15rem;
  line-height: 1;
}

.page-link,
.page-link > a {
  border-radius: 0.375rem;
  line-height: 1;
  text-align: center;
  min-width: calc(2.1875rem + 0px);
}

.user-listing-table table tr td:nth-child(2) p {
  width: 250px;
  white-space: normal;
}
.table th {
  letter-spacing: 0px;
}
.custom-width-box {
  min-width: 140px;
  word-break: break-all;
}
.custom-other-width {
  min-width: 150px;
  word-break: break-all;
}
.custom-width-box p,
.custom-other-width p {
  word-break: break-all;
}
.charity-main-width {
  min-width: 380px;
  word-break: break-all;
}
.question-other-width,
.user-main-width {
  min-width: 300px;
  word-break: break-all;
}
.frist-td-width {
  min-width: 190px;
  word-break: break-all;
}
.table th {
  vertical-align: middle;
}
.cutom-forth-box-width {
  min-width: 200px;
}
.table-responsive {
  width: 100%;
}
.shorting-img {
  position: absolute;
  top: 13px;
  right: 20px;
  display: inline-flex;
  flex-direction: column;
  gap: 0px;
}
.shorting-img i {
  font-size: 17px;
  display: flex;
  height: 5px;
  align-items: center;
}
.sort {
  cursor: pointer;
}
.sort.desending .shorting-img .down-icon {
  color: #696cff;
}
.sort.asending .shorting-img .up-icon {
  color: #696cff;
}

.custom-select-tool {
  border: 1px solid #d9dee3;
}

.select2-container--default .select2-selection--single {
  border: 1px solid #d9dee3;
  height: 40px;
  padding-top: 5px;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  top: 7px;
}
.question-other-width-options {
  width: 360px;
  min-width: none;
}
.custom-width-box-option-text {
  width: 320px;
}
.select2-container--default .select2-selection--multiple {
  border: 1px solid #d9dee3;
  padding-bottom: 10px;
  padding-top: 5px;
}

/* survey modal */

.survey-modal .modal-dialog {
  max-width: 400px;
}

.survey-body {
  padding-top: 10px;
}

.survey-body .form-label {
  display: flex;
  font-size: 16px;
  font-weight: 500;
}

.survey-body p {
  text-align: start;
  font-size: 15px;
  font-weight: 500;
  color: #000;
  margin-bottom: 10px;
}

.survey-body ol {
  padding-left: 0;
  margin-bottom: 0;
}

.survey-body .survey-body-list {
  text-align: start;
}

.survey-modal .modal-footer {
  padding: 0;
}

.user-activity {
  width: fit-content;
  border-radius: 6px;
  padding: 2px 7px;
  font-size: 12px;
  text-align: center;
  height: fit-content;
  font-weight: 400;
  background-color: #fff;
  box-shadow: 0px 4px 4px -2px rgb(0 0 0 / 50%);
}
.user-activity.active {
  /* background-color: #27c259; */
  color: #27c259;
}
.user-activity.active:hover {
  /* background-color: #27c259; */
  color: #27c259;
}
.user-list-box .bx-envelope,
.user-list-box .bx-phone {
  color: #ec8c00;
}
.user-activity.inactive {
  /* background-color: #ff3e1d; */
  color: #ff3e1d;
}

html:not(.layout-menu-collapsed)
  .bg-menu-theme
  .menu-inner
  .menu-item.open
  > .menu-link {
  background-color: #e8b923 !important;
  color: #000 !important;
}
html:not(.layout-menu-collapsed)
  .bg-menu-theme
  .menu-inner
  .menu-item.open
  > .menu-link i {
  color: #000 !important;
  }

.bg-menu-theme .menu-inner > .menu-item.active > .menu-link {
  color: #fff !important;
  background-color: #06063f !important;
}
.bg-menu-theme .menu-inner .menu-link{
  color: #fff !important;
}
.bg-menu-theme .menu-inner > .menu-item.active:before {
  background: #06063f !important;
}

h6,
.h6,
h5,
.h5,
h4,
.h4,
h3,
.h3,
h2,
.h2,
h1,
.h1 {
  color:#000;
}

.bg-label-secondary {
  background-color: #edd4bf !important;
  color: #06063f !important;
}

.btn-primary {
  color: #fff;
  background-color: #06063f;
  border-color:#06063f;
  box-shadow:unset;
}

.btn-primary:hover {
  color: #000;
  background-color: #fff;
  border-color: #06063f;
}

.bg-menu-theme
  .menu-sub
  > .menu-item.active
  > .menu-link:not(.menu-toggle):before {
  background-color: #fff !important;
  border: 3px solid #06063f !important;
}

.bg-menu-theme .menu-inner > .menu-item.active .menu-link i {
  color: #fff;
}

.bg-menu-theme .menu-item.open:not(.menu-item-closing) > .menu-toggle,
.bg-menu-theme .menu-item.active > .menu-link {
  color: #ffffff;
}

.bg-menu-theme .menu-link,
.bg-menu-theme .menu-horizontal-prev,
.bg-menu-theme .menu-horizontal-next {
  color: #fff;
}

.bg-menu-theme .menu-sub > .menu-item > .menu-link:before {
  background-color: #fff !important;
}
.bg-menu-theme .menu-sub > .menu-item > .menu-link:hover:before{
  background-color: #fff !important;
}

.count-box {
  color: #06063f;
}

.btn-outline-primary {
  color:#000;
  border-color:#000;
}

.btn-outline-primary:hover {
  color: #fff;
  background-color:#000;
  border-color:#000;
  box-shadow: 0 0.125rem 0.25rem 0 rgba(0, 0, 0, 0.4);
}

.btn-danger {
    color: #fff;
    background-color: #8b8b8d;
    border-color: #8b8b8d;
    box-shadow: unset;
    margin-left: 15px;
}

.btn-danger:hover {
  color: #000;
  background-color: #fff;
  border-color: #000;
}

.form-check-input:checked,
.form-check-input[type="checkbox"]:indeterminate {
  background-color: #000;
  border-color: #000;
}

.user-list-box .image-box .card-img-top {
  margin-top: 0px;
  object-fit: scale-down;
}
.user-activity.active {
  background-color: #b8e9c8;
  color: #27c259;
}

.page-item.active .page-link {
  border-color: #06063f ;
  background-color: #06063f ;
  color: #fff;
}
.page-item.active .page-link, .page-item.active .page-link:hover{
  border-color: #06063f ;
  background-color: #06063f ;
}
/* .user-list-box .image-box{
  background-color: rgba(249, 241, 235, 1);
} */

.bg-menu-theme .menu-item.active > .menu-link {
  color: #06063f;
}

.form-control:disabled {
  background-color: #f7f7f7;
}

/* .black-smallicons{
  color: #fff !important;
  background-color: #000 !important;
  border: 1px solid #000;
} */

.user-list-box .card {
  border: 1px solid #ddd;
  box-shadow: none !important;
}

.user-list-box .bx-envelope,
.user-list-box .bx-phone {
  color: #06063f;
}

.btn-check:checked + .btn-primary,
.btn-check:active + .btn-primary,
.btn-primary:active,
.btn-primary.active,
.show > .btn-primary.dropdown-toggle,
.btn-check:focus + .btn-primary,
.btn-primary:focus,
.btn-primary.focus {
  background-color: #06063f;
  border-color: #06063f;
  color: #fff;
}

div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm) {
  background-color: #06063f !important;
}

div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-cancel) {
  background-color: #000 !important;
}

.card-smalltitle{
  color: #000;
}
.bg-menu-theme .menu-link:hover,
.bg-menu-theme .menu-link:focus,
.bg-menu-theme .menu-horizontal-prev:hover,
.bg-menu-theme .menu-horizontal-prev:focus,
.bg-menu-theme .menu-horizontal-next:hover,
.bg-menu-theme .menu-horizontal-next:focus {
  color: #e8b923;
}

.table {
  color: #000;
}

.form-control,
.form-select {
  border: 1px solid #d5d5d5;
  color: #000;
}
.card .form-control,
.card .form-select{
  padding: 12px 15px;
}
.form-control:focus,
.form-select:focus {
  border-color: #b7b7b7;
  background-clip:unset !important;
  background-color: #fff  !important;
}

.table:not(.table-dark) th {
  color: #000;
}

.form-check-input:focus {
  border-color: #b7b7b7;
  box-shadow: none;
}

.btn-outline-danger {
  color: #000;
  border-color: #000;
  background: transparent;
}

label {
  color: #000;
  margin-bottom: 5px;
  font-weight: 500;
}

.table-hover > tbody > tr:hover > * {
  --bs-table-accent-bg: rgb(255 255 255 / 6%);
  color: #000;
}

/* Add this CSS for the spinning effect */
.spinner-sync {
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-360deg);
  }
}

#previewContainer {
  margin-top: 20px;
}

.preview-image {
  display: inline-block;
  margin: 5px;
  position: relative;
}

.preview-image img {
  border: 1px solid #ddd;
  padding: 5px;
  border-radius: 4px;
}

.delete-btn {
  position: absolute;
  top: 5px;
  right: 5px;
  background: #ff4d4d;
  border: none;
  color: white;
  padding: 3px;
  cursor: pointer;
}

.black-smallicons {
  color: #fff !important;
  background-color: #06063f !important;
  border: 1px solid #06063f;
}

.authentication-wrapper.authentication-basic.authentication-wrapper{
  display: flex;
      min-height: 100vh;
      width: 100%;
      align-items: center;
      justify-content: center;
      overflow: hidden;

  position: relative;
}
.authentication-wrapper.authentication-basic .authentication-inner {
  max-width: 400px;
  position: relative;
  width: 100%;
}
.authentication-wrapper.authentication-basic .authentication-inner .card{
  background-color: #fff;
  
}
.authentication-wrapper.authentication-basic .authentication-inner .card .card-body{
  -webkit-border-radius: 7px;
  -moz-border-radius: 7px;
  -ms-border-radius: 7px;
  -o-border-radius: 7px;
  border-radius: 7px;
  box-shadow: 0px 7px 22px -7px #000000;
}
.authentication-wrapper.authentication-basic .authentication-inner .form-label{
  color: #000;
}
.app-brand-logo img{
  object-fit: contain;
  width: 150px !important;
}

#propertyImagesDropzone .dz-preview {
  display: inline-block;
  margin: 10px;
  cursor: move; /* Change cursor to indicate draggable items */
}

#propertyImagesDropzone .dz-preview.dz-image-preview {
  border: 1px dashed #ccc;
  padding: 5px;
  background: #f9f9f9;
}
#propertyImagesDropzone.dropzone .dz-preview .dz-image img{
  width: 100%;
  height: 100%;
}

.bg-menu-theme.menu-vertical {
    background-color: #06063f !important;
}
#vImagePreview{
  object-fit: contain;
}

.layout-navbar.navbar-detached .dropdown-menu .rounded-circle {
    height: 40px !important;
    object-fit: cover;
}
.top-input-space{
  align-items: center;
}
.layout-navbar h4{
  font-size: 20px;
  font-weight: 500;
}
.commingsoon {
    height: 82vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.commingsoon h2{
  font-size: 60px;
  font-weight: bold;
  color: #e8b923;
}
.tab-user{
    color: #06063f;
    background-color: #fff;
    border-color: #06063f;
    margin-right: 5px;
}
.tab-user.active , .tab-user:hover{
    color: #fff;
    background-color: #06063f;
    border-color: #06063f;
}
.tab-user.active:hover {
color: #fff;
}

.active{
      color: #fff;
    background-color: #06063f;
    border-color: #06063f;
}
.tab-user.active:hover {
color: #fff;
}
.dashboard-card .card.active{
  background-color: #06063f;
}
.dashboard-card .card.active .card-smalltitle, .dashboard-card .card.active  .card-title{
 color: #fff; 
}
.dashboard-card .card.active .btn-outline-primary{
  background-color: #e8b923;
    color: #000;
}
.tab-user.active:hover {
color: #fff;
}


@media (max-width:575px){
 .layout-navbar h4{
  font-size: 18px;
}
.layout-navbar.navbar-detached{
  padding: 15px;
  margin: 15px 15px 0;
}
.card .form-control, .card .form-select {
    padding: 10px 15px;
}
.card-body{
  padding: 15px;
}
}